<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xmlns:ui="http://java.sun.com/jsf/facelets" xmlns:h="http://java.sun.com/jsf/html" xmlns:f="http://java.sun.com/jsf/core"
	xmlns:ship="http://xmlns.jcp.org/jsf/composite/ship" xmlns:p="http://primefaces.org/ui">
<h:head></h:head>
<h:body>
	<ui:composition template="/pages/primodaltemplate.xhtml">
		<ui:define name="title">
			<h:outputText value="#{facesContext.translate('label.statistic.installedpackages.title')}" />
		</ui:define>
		<ui:define name="body">
			<p:dataTable id="packages" value="#{statisticModel.packages}" var="p" paginator="true" rows="10">
				<p:column headerText="name" filterable="true" filterBy="#{p.name}" filterMatchMode="contains" sortable="true" sortBy="#{p.name}">
					<h:outputText value="#{p.name}" />
				</p:column>
				<p:column headerText="version" filterable="true" filterBy="#{p.version}" filterMatchMode="contains" sortable="true" sortBy="#{p.version}">
					<h:outputText value="#{p.version}" styleClass="squarebadge" />
				</p:column>
			</p:dataTable>
		</ui:define>
		<ui:define name="formbuttons">
			<p:commandButton id="btn_back" action="#{statisticController.toWelcome}" value="#{facesContext.translate('button.overview')}" immediate="true" ajax="false" />
		</ui:define>
	</ui:composition>
</h:body>
</html>